opium
@opium
Просто люблю качественно работать

В каком дистрибутиве линукс по умолчанию стоит php 5.2?

Собственно понадобился php 5.2 для старого проекта, а все репы для centos 5 c php 5.2 что то умерли.
  • Вопрос задан
  • 2769 просмотров
Пригласить эксперта
Ответы на вопрос 7
BuriK666
@BuriK666
Компьютерный псих
PHP5.3 уже даже устарел...
Поставить вручную можно в любом.
Ответ написан
Комментировать
merryjane
@merryjane
Системный администратор
Собрать из source на современном дистрибутиве будет намного проще, чем ставить старый дистрибутив и затем искать пакеты к нему.
Ответ написан
OnYourLips
@OnYourLips
Конечно репы умерли - php 5.2 же давно умер и в нем множество незакрытых уязвимостей.

Проблем с переходом на более поздние версии PHP очень мало. Можете нанять разработчика на пару дней, и он все исправит.

Можете поставить ubuntu 8.04 - в нем как раз 5.2, причем он тоже больше не поддерживается. Зато радость юным хакерам доставите :)
Ответ написан
Color
@Color
Golang SWE, Cloud & DevOps
Поставь сервер с нужной тебе версией, например, xampp. Времени займет уж точно меньше, чем установленный php откатывать.
Ответ написан
RicoX
@RicoX
Ушел на http://ru.stackoverflow.com/
CentOS 5 ветка.
Ответ написан
vvpoloskin
@vvpoloskin
Инженер связи
debian lenny. судя по списку пакетов, он есть в репе.
Ответ написан
Комментировать
gagarinq9
@gagarinq9
Эх, чуть не вовремя, в свое время у меня был свой репозиторий с разным софтом по центос 6, но и под 5 имелось пэхэпэ 5.2.

В свое время он появился как раз из-за того что небыло 5.2 в публичных репах.
Это я к чему.... Скомпильте из исходников, можете даже пакеты скомпилить и потом использовать их.
Ответ написан
Комментировать
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы